## PhoshRotateInfo

PhoshRotateInfo — A widget to display the rotate lock status

## Functions

GtkWidget * | phosh_rotate_info_new ()
PhoshRotateInfoMode | phosh_rotate_info_get_mode ()
void | phosh_rotate_info_set_mode ()

## Properties

gboolean | present | Read

## Types and Values

enum | PhoshRotateInfoMode
#define | PHOSH_TYPE_ROTATE_INFO
| PhoshRotateInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshRotateInfo

## Implemented Interfaces

PhoshRotateInfo implements AtkImplementorIface and GtkBuildable.

## Description

A PhoshStatusIcon to display the rotation lock status. It can either display whether a rotation lock is currently active or if the output is in portrait/landscape mode.

## Functions

### phosh_rotate_info_new ()

    GtkWidget *
    phosh_rotate_info_new (void);

### phosh_rotate_info_get_mode ()

    PhoshRotateInfoMode
    phosh_rotate_info_get_mode (PhoshRotateInfo *self);

### phosh_rotate_info_set_mode ()

    void
    phosh_rotate_info_set_mode (PhoshRotateInfo *self,
                                PhoshRotateInfoMode mode);

## Types and Values

### enum PhoshRotateInfoMode

The power save mode of a monitor

#### Members

PHOSH_ROTATE_INFO_MODE_LOCK | Button toggles rotation lock |
PHOSH_ROTATE_INFO_MODE_TOGGLE | Button toggles potrait/landscape |

### PHOSH_TYPE_ROTATE_INFO

    #define PHOSH_TYPE_ROTATE_INFO (phosh_rotate_info_get_type())

### PhoshRotateInfo

    typedef struct _PhoshRotateInfo PhoshRotateInfo;

## Property Details

### The `“present”` property

      “present”                  gboolean

Whether a builtin display to rotate is present.

Owner: PhoshRotateInfo

Flags: Read

Default value: FALSE